#
#       Makefile for slpack
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

ROOTDIR     = ..\..\..
OBJDIR      = ..

FSRC        = slinit.f sldiv.f  slmgn.f  slrat.f  slqrct.f slpage.f \
              slpcnr.f slsttl.f sltlcv.f slpvpr.f slpwwr.f slpwvr.f \
              slpvpc.f slpwwc.f slpwvc.f slzttl.f sldivz.f slmgnz.f \
              slratz.f slqsiz.f

FOBJ = $(FSRC:.f=.obj)

!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=build-exec
build-exec: $(FOBJ)

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

